var request = require('request');

exports.getGameData = function(id, callback) {

    var game = {};

    var baseUrl = 'http://cdn.espn.com/core/college-football/playbyplay';

    var queryParams = {
        gameId: id,
        xhr: 1,
        render: 'false',
        userab: 18
    };

    request({
        url: baseUrl,
        qs: queryParams
    }, function(error, response, body) {
        if (!error) {
            var data = JSON.parse(body);

            game.scoringPlays = data.gamepackageJSON.scoringPlays;
            game.videos = data.gamepackageJSON.videos;
            game.drives = data.gamepackageJSON.drives.previous;
            game.teams = data.gamepackageJSON.header.competitions[0].competitors;

            callback(game);
        } else {
            console.log(error);
        }
    });
};